NX Open C++ Reference Guide
List of all members
NXOpen::Features::Subdivision::CagePolylineBuilder Class Reference

Cage polyline builder class. More...

Inheritance diagram for NXOpen::Features::Subdivision::CagePolylineBuilder:
NXOpen::Features::PolylineBuilder NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Additional Inherited Members

- Public Types inherited from NXOpen::Features::PolylineBuilder
enum  DrawingPlaneOptions {
  DrawingPlaneOptionsView, DrawingPlaneOptionsXY, DrawingPlaneOptionsYZ, DrawingPlaneOptionsXZ,
  DrawingPlaneOptionsGeneral
}
 Drawing plane options. More...
 
enum  MovementMethodType {
  MovementMethodTypeWCS, MovementMethodTypeView, MovementMethodTypeVector, MovementMethodTypePlane,
  MovementMethodTypeSegment
}
 Points movement types. More...
 
enum  WCSOptionType {
  WCSOptionTypeX, WCSOptionTypeY, WCSOptionTypeZ, WCSOptionTypeYZ,
  WCSOptionTypeXZ, WCSOptionTypeXY
}
 WCS principal axis or plane types. More...
 
- Public Member Functions inherited from NXOpen::Features::PolylineBuilder
bool CanUseOrientationTool ()
 Returns the flag indicating if WCS like tool should be deployed when a point or pole handle is selected
Created in NX10.0.0. More...
 
NXOpen::Features::GeometricConstraintDataManagerConstraintManager ()
 Returns the constraint manager
Created in NX10.0.0. More...
 
NXOpen::CoordinateSystemConstraintPlane ()
 Returns the coordinate system defining plane constraint
Created in NX10.0.0. More...
 
NXOpen::PlaneDrawingPlane ()
 Returns the drawing plane
Created in NX10.0.0. More...
 
NXOpen::Features::PolylineBuilder::DrawingPlaneOptions DrawingPlaneOption ()
 Returns a drawing plane option
Created in NX10.0.0. More...
 
void EditPolyline (NXOpen::NXObject *polyline)
 Sets a non-parametric polyline for editing
Created in NX10.0.0. More...
 
void Evaluate ()
 Evaluates the polyline
Created in NX10.0.0. More...
 
bool HasPlaneConstraint ()
 Returns the flag indicating if polyline has plane constraint
Created in NX10.0.0. More...
 
void InsertPoint (int afterIndex)
 Inserts a point in the middle of a segment
Created in NX10.0.0. More...
 
bool IsPeriodic ()
 Returns the periodicity
Created in NX10.0.0. More...
 
NXOpen::Features::PolylineBuilder::MovementMethodType MovementMethod ()
 Returns the movement method
Created in NX10.0.0. More...
 
NXOpen::PlaneMovementPlane ()
 Returns the movement plane
Created in NX10.0.0. More...
 
NXOpen::DirectionMovementVector ()
 Returns the movement vector
Created in NX10.0.0. More...
 
void SetCanUseOrientationTool (bool useOrientationTool)
 Sets the flag indicating if WCS like tool should be deployed when a point or pole handle is selected
Created in NX10.0.0. More...
 
void SetConstraintPlane (NXOpen::CoordinateSystem *coordinateSystem)
 Sets the coordinate system defining plane constraint
Created in NX10.0.0. More...
 
void SetDrawingPlane (NXOpen::Plane *drawingPlane)
 Sets the drawing plane
Created in NX10.0.0. More...
 
void SetDrawingPlaneOption (NXOpen::Features::PolylineBuilder::DrawingPlaneOptions planeOption)
 Sets a drawing plane option
Created in NX10.0.0. More...
 
void SetHasPlaneConstraint (bool hasConstraint)
 Sets the flag indicating if polyline has plane constraint
Created in NX10.0.0. More...
 
void SetMovementMethod (NXOpen::Features::PolylineBuilder::MovementMethodType movementMethod)
 Sets the movement method
Created in NX10.0.0. More...
 
void SetMovementPlane (NXOpen::Plane *movementPlane)
 Sets the movement plane
Created in NX10.0.0. More...
 
void SetMovementVector (NXOpen::Direction *movementVector)
 Sets the movement vector
Created in NX10.0.0. More...
 
void SetPeriodic (bool periodicity)
 Sets the periodicity
Created in NX10.0.0. More...
 
void SetWCSOption (NXOpen::Features::PolylineBuilder::WCSOptionType wcsOption)
 Sets the WCS option
Created in NX10.0.0. More...
 
NXOpen::GeometricUtilities::TransformerDataTransformer ()
 Returns the transformation tool. More...
 
void UpdateOnConstraintPlane ()
 Updates polyline based on constraint plane
Created in NX10.0.0. More...
 
NXOpen::Features::PolylineBuilder::WCSOptionType WCSOption ()
 Returns the WCS option
Created in NX10.0.0. More...
 

Detailed Description

Cage polyline builder class.


To create a new instance of this class, use NXOpen::Features::Subdivision::SubdivisionBodyCollection::CreateCagePolylineBuilder
Default values.

Property Value

DrawingPlaneOption

View

MovementMethod

View

WCSOption

X


Created in NX10.0.0.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.